Execute External Actions
Execute multiple external actions to get a list of values (for the UI)
Execute multiple external actions to get a list of values (for the UI)
Request
URI
POST
https://{vcfa-fqdn}/form-service/api/forms/renderer/external-values
COPY
Query Parameters
string
projectId
Optional
The projectId of the project chosen for the request.
string
sourceId
Optional
sourceId
Request Body
[
{
"uri": "string",
"dataSource": "string",
"parameters": [
{
"name": "string",
"value": "string",
"useResultFromRequestId": 0
}
],
"fieldType": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"requestId": 0,
"contextParameters": {
"contextParameters": "string"
},
"externalSourceProviderType": "string"
}
]
Responses
200
'Success' with a list of external action results
[
{
"data": {},
"error": {
"summaryMessage": "string",
"detailsMessage": "string"
},
"requestId": 0
}
]
array of
object
400
'Bad Request' if RunnableItem is not in specified format
[
{
"data": {},
"error": {
"summaryMessage": "string",
"detailsMessage": "string"
},
"requestId": 0
}
]
array of
object
403
'Forbidden' due to insufficient access rights for form viewing or the form execution has not been created. To resolve this, ensure that the /renderer/model API is called first to load the necessary form containing the required external actions.
[
"FormExternalDataResponse Object"
]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/form-service/api/forms/renderer/external-values